Loading...
Searching...
No Matches
Magick::DrawablePushPattern Class Reference
Inheritance diagram for Magick::DrawablePushPattern:

## Public Member Functions

| DrawablePushPattern (const std::string &id_, ::ssize_t x_, ::ssize_t y_, size_t width_, size_t height_)
| DrawablePushPattern (const DrawablePushPattern &original_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const

## Private Attributes

std::string | _id
::ssize_t | _x
::ssize_t | _y
size_t | _width
size_t | _height

## Detailed Description

Definition at line 1376 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawablePushPattern()

Magick::DrawablePushPattern::DrawablePushPattern | ( | const DrawablePushPattern & | original_ | ) |

Definition at line 1052 of file Drawable.cpp.

: DrawableBase (original_),
_id(original_._id),
_x(original_._x),
_y(original_._y),
_width(original_._width),
_height(original_._height)
{
}

## ~DrawablePushPattern()

Magick::DrawablePushPattern::~DrawablePushPattern | ( | void |  | ) |

Definition at line 1062 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawablePushPattern::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1071 of file Drawable.cpp.

{
return new DrawablePushPattern(*this);
}

## operator()()

void Magick::DrawablePushPattern::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1065 of file Drawable.cpp.

{
(void) DrawPushPattern( context_, _id.c_str(), (double) _x, (double) _y,
(double) _width, (double) _height);
}

## Field Documentation

## _height

size_t Magick::DrawablePushPattern::_height

private

Definition at line 1397 of file Drawable.h.

## _id

std::string Magick::DrawablePushPattern::_id

private

Definition at line 1393 of file Drawable.h.

## _width

size_t Magick::DrawablePushPattern::_width

private

Definition at line 1396 of file Drawable.h.

## _x

::ssize_t Magick::DrawablePushPattern::_x

private

Definition at line 1394 of file Drawable.h.

## _y

::ssize_t Magick::DrawablePushPattern::_y

private

Definition at line 1395 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp